<?php



// Version: 1.1; index







/*	This template is, perhaps, the most important template in the theme.  It



	contains the main template layer that displays the header and footer of



	the forum, namely with main_above and main_below.  It also contains the



	menu sub template, which appropriately displays the menu; the init sub



	template, which is there to set the theme up; (init can be missing.) and



	the linktree sub template, which sorts out the link tree.







	The init sub template should load any data and set any hardcoded options.







	The main_above sub template is what is shown above the main content, and



	should contain anything that should be shown up there.







	The main_below sub template, conversely, is shown after the main content.



	It should probably contain the copyright statement and some other things.







	The linktree sub template should display the link tree, using the data



	in the $context['linktree'] variable.







	The menu sub template should display all the relevant buttons the user



	wants and or needs.







	For more information on the templating system, please see the site at:



	http://www.simplemachines.org/



*/







// Initialize the template... mainly little settings.



function template_init()



{



	global $context, $settings, $options, $txt;







	/* Use images from default theme when using templates from the default theme?



		if this is 'always', images from the default theme will be used.



		if this is 'defaults', images from the default theme will only be used with default templates.



		if this is 'never' or isn't set at all, images from the default theme will not be used. */



	$settings['use_default_images'] = 'never';







	/* What document type definition is being used? (for font size and other issues.)



		'xhtml' for an XHTML 1.0 document type definition.



		'html' for an HTML 4.01 document type definition. */



	$settings['doctype'] = 'xhtml';







	/* The version this template/theme is for.



		This should probably be the version of SMF it was created for. */



	$settings['theme_version'] = '1.1';







	/* Set a setting that tells the theme that it can render the tabs. */



	$settings['use_tabs'] = false;

	

	// Load theme strings

        

        loadLanguage('ThemeStrings');







	/* Use plain buttons - as oppossed to text buttons? */



	$settings['use_buttons'] = false;







	/* Show sticky and lock status seperate from topic icons? */



	$settings['seperate_sticky_lock'] = false;







	if (@$_REQUEST['action'] == 'templogout')



		$settings['catch_action'] = array('sub_template' => 'templogout');



}







// The main sub template above the content.



function template_main_above()



{



	global $context, $settings, $options, $scripturl, $txt, $modSettings;







	// Show right to left and the character set for ease of translating.



	echo '  <!DOCTYPE html



PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"



"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">



<html xmlns="http://www.w3.org/1999/xhtml"', $context['right_to_left'] ? ' dir="rtl"' : '', '><head>



	<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />



	<meta name="description" content="', $context['page_title'], '" />', empty($context['robot_no_index']) ? '' : '



	<meta name="robots" content="noindex" />', '



	<meta name="keywords" content="PHP, MySQL, bulletin, board, free, open, source, smf, simple, machines, forum" />



	<script type="text/javascript" src="', $settings['default_theme_url'], '/script.js?fin11"></script>



	<script type="text/javascript"><!-- // --><![CDATA[



		var smf_theme_url = "', $settings['theme_url'], '";



		var smf_images_url = "', $settings['images_url'], '";



		var smf_scripturl = "', $scripturl, '";



		var smf_iso_case_folding = ', $context['server']['iso_case_folding'] ? 'true' : 'false', ';



		var smf_charset = "', $context['character_set'], '";



	// ]]></script>



	<title>', $context['page_title'], '</title>';







	// The ?fin11 part of this link is just here to make sure browsers don't cache it wrongly.



	echo '



	<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/style.css?fin11" />



	<link rel="stylesheet" type="text/css" href="', $settings['default_theme_url'], '/print.css?fin11" media="print" />';







	/* Internet Explorer 4/5 and Opera 6 just don't do font sizes properly. (they are big...)



		Thus, in Internet Explorer 4, 5, and Opera 6 this will show fonts one size smaller than usual.



		Note that this is affected by whether IE 6 is in standards compliance mode.. if not, it will also be big.



		Standards compliance mode happens when you use xhtml... */



	if ($context['browser']['needs_size_fix'])



		echo '



	<link rel="stylesheet" type="text/css" href="', $settings['default_theme_url'], '/fonts-compat.css" />';







	// Show all the relative links, such as help, search, contents, and the like.



	echo '



	<link rel="help" href="', $scripturl, '?action=help" />



	<link rel="search" href="' . $scripturl . '?action=search" />



	<link rel="contents" href="', $scripturl, '" />';







	// If RSS feeds are enabled, advertise the presence of one.



	if (!empty($modSettings['xmlnews_enable']))



		echo '



	<link rel="alternate" type="application/rss+xml" title="', $context['forum_name'], ' - RSS" href="', $scripturl, '?type=rss;action=.xml" />';







	// If we're viewing a topic, these should be the previous and next topics, respectively.



	if (!empty($context['current_topic']))



		echo '



	<link rel="prev" href="', $scripturl, '?topic=', $context['current_topic'], '.0;prev_next=prev" />



	<link rel="next" href="', $scripturl, '?topic=', $context['current_topic'], '.0;prev_next=next" />';







	// If we're in a board, or a topic for that matter, the index will be the board's index.



	if (!empty($context['current_board']))



		echo '



	<link rel="index" href="' . $scripturl . '?board=' . $context['current_board'] . '.0" />';







	// We'll have to use the cookie to remember the header...



	if ($context['user']['is_guest'])



		$options['collapse_header'] = !empty($_COOKIE['upshrink']);







	// Output any remaining HTML headers. (from mods, maybe?)



	echo $context['html_headers'], '







	<script type="text/javascript"><!-- // --><![CDATA[



		var current_header = ', empty($options['collapse_header']) ? 'false' : 'true', ';







		function shrinkHeader(mode)



		{';







	// Guests don't have theme options!!



	if ($context['user']['is_guest'])



		echo '



			document.cookie = "upshrink=" + (mode ? 1 : 0);';



	else



		echo '



			smf_setThemeOption("collapse_header", mode ? 1 : 0, null, "', $context['session_id'], '");';







	echo '



			document.getElementById("upshrink").src = smf_images_url + (mode ? "/upshrink2.gif" : "/upshrink.gif");







			document.getElementById("upshrinkHeader").style.display = mode ? "none" : "";







			current_header = mode;



		}



	// ]]></script>



		<script type="text/javascript"><!-- // --><![CDATA[



		function getposOffset(overlay, offsettype){



		var totaloffset=(offsettype=="left")? overlay.offsetLeft : overlay.offsetTop;



		var parentEl=overlay.offsetParent;



		while (parentEl!=null){



		totaloffset=(offsettype=="left")? totaloffset+parentEl.offsetLeft : totaloffset+parentEl.offsetTop;



		parentEl=parentEl.offsetParent;



		}



		return totaloffset;



		}







		function overlay(curobj, subobjstr, opt_position){



		if (document.getElementById){



		var subobj=document.getElementById(subobjstr)



		subobj.style.display=(subobj.style.display!="block")? "block" : "none"



		var xpos=getposOffset(curobj, "left")+((typeof opt_position!="undefined" && opt_position.indexOf("right")!=-1)?	-(subobj.offsetWidth-curobj.offsetWidth) : 0) 



		var ypos=getposOffset(curobj, "top")+((typeof opt_position!="undefined" && opt_position.indexOf("bottom")!=-1)? curobj.offsetHeight : 0)



		subobj.style.left=xpos+"px"



		subobj.style.top=ypos+"px"



		return false



		}



		else



		return true



		}







		function overlayclose(subobj){



		document.getElementById(subobj).style.display="none"



		}







		// ]]></script>



</head>



<body>



<a name="topofpage"/>



<table cellpadding="0" cellspacing="0" style="margin-left: auto; margin-right: auto;">



<tr>



<td style="background-image:url(',$settings['images_url'],'/main_bg_left.gif);"><img src="',$settings['images_url'],'/main_bg_left.gif" alt=""/></td>



<td>



<table style="width: 800px; margin-left: auto; margin-right: auto;" cellpadding="0" cellspacing="0"><tr>



<td colspan="3" style="width: 100%; height: 100px; vertical-align: bottom;">



';



if($context['user']['is_logged'])



{



echo'



<object type="application/x-shockwave-flash" data="',$settings['images_url'],'/flashheader_user_loader.swf" width="800" height="100" style="vertical-align: bottom;">



<param name="movie" value="',$settings['images_url'],'/flashheader_user_loader.swf" /> 



<param name="loop" value="false"/>



<param name="quality" value="high"/>



<param name="play" value="true"/>



<img src="banner.gif" width="800" height="100" alt="banner" />



</object></td></tr>';



}



else



{



echo'<object type="application/x-shockwave-flash" data="',$settings['images_url'],'/flashheader_guest_loader.swf" width="800" height="100">



<param name="movie" value="',$settings['images_url'],'/flashheader_guest_loader.swf" /> 



<param name="loop" value="false"/>



<param name="quality" value="high"/>



<param name="play" value="true"/>



<img src="banner.gif" width="800" height="100" alt="banner" />



</object></td></tr>';



}



echo'<tr><td><table width="100%" cellpadding="0" cellspacing="0"><tr><td><a href="#stats" onclick="return overlay(this, \'stats\',\'bottomright\')"><img src="'.$settings['images_url'].'/forum_stats.gif" alt="" style="vertical-align: bottom;"/></a>



<div id="stats" style="position:absolute; border: 0px solid #000000; width: 150px; padding: 0px; display:none">



<table cellpadding="4" cellspacing="1" class="tborder" width="150">



<tr>



<td class="windowbg" style="width: 100%;">



<span class="smalltext">



Posts: <b>', $context['common_stats']['total_posts'], '</b><br/>



Topics: <b>', $context['common_stats']['total_topics'], '</b><br/>



Members: <b>', $context['common_stats']['total_members'], '</b></span>



<p/>



<span class="smalltext">



Please welcome our newest member, <b> ', $context['common_stats']['latest_member']['link'], '.</b></span>



<div style="text-align: right;"><a href="#" onclick="overlayclose(\'stats\'); return false">[',$txt['closebox'],']</a></div>







</td></tr></table>



</div></td>



<td style="background-image:url(',$settings['images_url'],'/header_mid.gif); width: 100%;" valign="top">



<table width="461" style="margin-left: auto; margin-right: auto;" cellpadding="0" cellspacing="0">



<tr>



<td style="background-image:url(',$settings['images_url'],'/header_info_bg.gif); width: 100%; height: 24px;" align="center" class="topbar"><span class="smalltext">';  



 if ($context['user']['is_logged'])



	{



		echo '



', $txt['hello_member'], ' <b>', $context['user']['name'], '</b>', $context['allow_pm'] ? ', ' . $txt[152] . ' <a href="' . $scripturl . '?action=pm" class="topbar">' . $context['user']['messages'] . ' ' . ($context['user']['messages'] != 1 ? $txt[153] : $txt[471]) . '</a>' . $txt['newmessages4'] . ' ' . $context['user']['unread_messages'] . ' ' . ($context['user']['unread_messages'] == 1 ? $txt['newmessages0'] : $txt['newmessages1']) : '', '.';







		// Are there any members waiting for approval?



		if (!empty($context['unapproved_members']))



			echo '<br />



				', $context['unapproved_members'] == 1 ? $txt['approve_thereis'] : $txt['approve_thereare'], ' <a href="', $scripturl, '?action=viewmembers;sa=browse;type=approve">', $context['unapproved_members'] == 1 ? $txt['approve_member'] : $context['unapproved_members'] . ' ' . $txt['approve_members'], '</a> ', $txt['approve_members_waiting'];







		// Is the forum in maintenance mode?



		if ($context['in_maintenance'] && $context['user']['is_admin'])



			echo '<br />



				<b>', $txt[616], '</b>';



	}



	// Otherwise they're a guest - so politely ask them to register or login.



	else



		echo '



				', $txt['welcome_guest'];







	echo '



</span></td>



</tr>



</table>



</td>



<td>



<a href="#quicklinks" onclick="return overlay(this, \'quicklinks\',\'bottomleft\')"><img src="'.$settings['images_url'].'/quick_links.gif" alt="" style="vertical-align: bottom;"/></a>



<div id="quicklinks" style="position:absolute; border: 0px solid #000000; width: 150px; padding: 0px; display:none">';







// Load the quicklinks from the sub template



template_quicklinks();



echo'</div>



</td>



</tr>



</table>';







	// The main content should go here.  A table is used because IE 6 just can't handle a div.



	echo '<table width="100%" cellpadding="0" cellspacing="0" border="0"><tr>



		<td id="bodyarea" style="padding: 1ex 10px 2ex 10px;">



<table width="100%" cellpadding="0" cellspacing="0">



<tr>



<td><img src="',$settings['images_url'],'/contentbox_top_left.gif" alt=""/></td>



<td style="background-image:url(',$settings['images_url'],'/contentbox_top_mid.gif); width: 100%;"></td>



<td><img src="',$settings['images_url'],'/contentbox_top_right.gif" alt=""/></td>



</tr>



</table>



<table width="100%" cellspacing="0" cellpadding="0">



<tr>



<td style="background-image:url(',$settings['images_url'],'/contentbox_left.gif);"><img src="',$settings['images_url'],'/contentbox_left.gif" alt=""/></td><td style="padding: 6px; background-color: #E1EFFF; width: 100%;">';







}







function template_main_below()



{



	global $context, $settings, $options, $scripturl, $txt;







	echo '</td><td style="background-image:url(',$settings['images_url'],'/contentbox_right.gif);"><img src="',$settings['images_url'],'/contentbox_right.gif" alt=""/></td></tr></table><table width="100%" cellpadding="0" cellspacing="0">



<tr>



<td><img src="',$settings['images_url'],'/contentbox_bottom_left.gif" alt="" style="vertical-align: top;"/></td>



<td style="background-image:url(',$settings['images_url'],'/contentbox_bottom_mid.gif); background-position: top; background-repeat: repeat-x; width: 100%;"></td>



<td><img src="',$settings['images_url'],'/contentbox_bottom_right.gif" alt="" style="vertical-align: top;"/></td>



</tr>



</table></td>



	</tr></table>';







// OK, lets make the footer of the page







echo'



<table width="100%" cellpadding="0" cellspacing="0">



<tr>



<td>



<img src="',$settings['images_url'],'/tab_buttons.gif" width="267" height="14" border="0" usemap="#tabbuttons" alt="" />



<map name="tabbuttons" id="tabbuttons">



<area shape="poly" coords="121,4,129,13,165,13,158,4,157,4" href="#topofpage" alt=""/>



<area shape="rect" coords="0,4,118,12" href="http://model98.org" target="_blank" alt=""/>



</map>



</td>



<td style="background-image:url(',$settings['images_url'],'/tab_buttons_span.gif); width: 100%;"></td>



</tr>



</table>



<table width="100%" cellpadding="0" cellspacing="0">



<tr>



<td style="background-image:url(',$settings['images_url'],'/footerbar.gif); width: 100%;"><img src="',$settings['images_url'],'/footerbar.gif" alt=""/></td>



</tr>



<tr>



<td style="background-color: #FFFFFF; width: 100%;">



<table width="100%" cellpadding="0" cellspacing="0">



<tr>



<td style="width: 50%;" align="left">';







// The smf copyright, duh!







				 echo'



<table cellpadding="0" cellspacing="0">



<tr>  



<td><img src="',$settings['images_url'],'/smf_footer_copyright_left.gif" alt=""/></td>



<td style="background-image:url(',$settings['images_url'],'/smf_footer_copyright_mid.gif);">



<span class="smalltext">', theme_copyright(), '</span></td>



<td><img src="',$settings['images_url'],'/smf_footer_copyright_right.gif" alt=""/></td>



</tr>



</table>';







// Icons for xhtml, php, mysql, and css.







echo'</td>



<td style="width: 50%;" align="right">



<table width="244" cellpadding="0" cellspacing="0">



<tr>



<td>



<a href="http://validator.w3.org/check?uri=referer" target="_blank"><img src="',$settings['images_url'],'/xhtml.gif" alt=""/></a>



</td>



<td>



<a href="http://jigsaw.w3.org/css-validator/check/referer"  target="_blank"><img src="',$settings['images_url'],'/css.gif" alt=""/></a>



</td>



<td>



<a href="http://php.net" target="_blank"><img src="',$settings['images_url'],'/php.gif" alt=""/></a>



</td>



<td>



<a href="http://mysql.com" target="_blank"><img src="',$settings['images_url'],'/mysql.gif" alt=""/></a>



</td></tr></table>



</td>



</tr></table>







</td></tr><tr>



<td style="background-image:url(',$settings['images_url'],'/footerbar.gif); width: 100%;"><img src="',$settings['images_url'],'/footerbar.gif" alt=""/></td>



</tr></table>';







	// This is an interesting bug in Internet Explorer AND Safari.  Rather annoying, it makes overflows just not tall enough.



	if (($context['browser']['is_ie'] && !$context['browser']['is_ie4']) || $context['browser']['is_mac_ie'] || $context['browser']['is_safari'] || $context['browser']['is_firefox'])



	{



		// The purpose of this code is to fix the height of overflow: auto div blocks, because IE can't figure it out for itself.



		echo '



		<script type="text/javascript"><!-- // --><![CDATA[';







		// Unfortunately, Safari does not have a "getComputedStyle" implementation yet, so we have to just do it to code...



		if ($context['browser']['is_safari'])



			echo '



			window.addEventListener("load", smf_codeFix, false);







			function smf_codeFix()



			{



				var codeFix = document.getElementsByTagName ? document.getElementsByTagName("div") : document.all.tags("div");







				for (var i = 0; i < codeFix.length; i++)



				{



					if ((codeFix[i].className == "code" || codeFix[i].className == "post" || codeFix[i].className == "signature") && codeFix[i].offsetHeight < 20)



						codeFix[i].style.height = (codeFix[i].offsetHeight + 20) + "px";



				}



			}';



		elseif ($context['browser']['is_firefox'])



			echo '



			window.addEventListener("load", smf_codeFix, false);



			function smf_codeFix()



			{



				var codeFix = document.getElementsByTagName ? document.getElementsByTagName("div") : document.all.tags("div");







				for (var i = 0; i < codeFix.length; i++)



				{



					if (codeFix[i].className == "code" && (codeFix[i].scrollWidth > codeFix[i].clientWidth || codeFix[i].clientWidth == 0))



						codeFix[i].style.overflow = "scroll";



				}



			}';			



		else



		{



			echo '



			var window_oldOnload = window.onload;



			window.onload = smf_codeFix;







			function smf_codeFix()



			{



				var codeFix = document.getElementsByTagName ? document.getElementsByTagName("div") : document.all.tags("div");







				for (var i = codeFix.length - 1; i > 0; i--)



				{



					if (codeFix[i].currentStyle.overflow == "auto" && (codeFix[i].currentStyle.height == "" || codeFix[i].currentStyle.height == "auto") && (codeFix[i].scrollWidth > codeFix[i].clientWidth || codeFix[i].clientWidth == 0) && (codeFix[i].offsetHeight != 0 || codeFix[i].className == "code"))



						codeFix[i].style.height = (codeFix[i].offsetHeight + 36) + "px";



				}







				if (window_oldOnload)



				{



					window_oldOnload();



					window_oldOnload = null;



				}



			}';



		}







		echo '



		// ]]></script>';



	}







	// The following will be used to let the user know that some AJAX process is running



	echo '



		<div id="ajax_in_progress" style="display: none;', $context['browser']['is_ie'] && !$context['browser']['is_ie7'] ? 'position: absolute;' : '', '">', $txt['ajax_in_progress'], '</div>



  </td></tr></table></td><td style="background-image:url(',$settings['images_url'],'/main_bg_right.gif);"><img src="',$settings['images_url'],'/main_bg_right.gif" alt=""/></td></tr>



<tr>



<td><img src="',$settings['images_url'],'/page_bottom_left.gif" alt=""/></td>



<td style="background-image:url(',$settings['images_url'],'/page_bottom_mid.gif);"></td>



<td><img src="',$settings['images_url'],'/page_bottom_right.gif" alt=""/></td>



</tr></table><p/>';







	// Show the load time?



	if ($context['show_load_time'])



		echo '



	  



<p style="text-align: center;"> <span class="topbar" style="font-size: 9px;">', $txt['smf301'], $context['load_time'], $txt['smf302'], $context['load_queries'], $txt['smf302b'], '</span></p>';







/* This is a hidden text copyright, you can remove it if you really want to, as long as you leave the other one. This is just here because I sometimes search google for forums using my themes, call me weird if you want, I just like to know that my work is of use to SOMEONE! */







echo'<span style="color: #4C5A6A">SMF Revisited Theme by Tippmaster</span>';







echo'</body>



</html>';



}







// Show a linktree.  This is that thing that shows "My Community | General Category | General Discussion"..



function theme_linktree()



{



	global $context, $settings, $options;







	// Folder style or inline?  Inline has a smaller font.



	echo '<span class="nav"', $settings['linktree_inline'] ? ' style="font-size: smaller;"' : '', '>';







	// Each tree item has a URL and name.  Some may have extra_before and extra_after.



	foreach ($context['linktree'] as $link_num => $tree)



	{



		// Show the | | |-[] Folders.



		if (!$settings['linktree_inline'])



		{



			if ($link_num > 0)



				echo str_repeat('<img src="' . $settings['images_url'] . '/icons/linktree_main.gif" alt="| " border="0" />', $link_num - 1), '<img src="' . $settings['images_url'] . '/icons/linktree_side.gif" alt="|-" border="0" />';



			echo '<img src="' . $settings['images_url'] . '/icons/folder_open.gif" alt="+" border="0" /> ';



		}







		// Show something before the link?



		if (isset($tree['extra_before']))



			echo $tree['extra_before'];







		// Show the link, including a URL if it should have one.



		echo '<b>', $settings['linktree_link'] && isset($tree['url']) ? '<a href="' . $tree['url'] . '" class="nav">' . $tree['name'] . '</a>' : $tree['name'], '</b>';







		// Show something after the link...?



		if (isset($tree['extra_after']))



			echo $tree['extra_after'];







		// Don't show a separator for the last one.



		if ($link_num != count($context['linktree']) - 1)



			echo $settings['linktree_inline'] ? ' | ' : '<br />';



	}







	echo '</span>';



}







// Show the menu up top.  Something like [home] [help] [profile] [logout]...



function template_menu()



{



	global $context, $settings, $options, $scripturl, $txt;







	// Show the [home] and [help] buttons.



	echo '



				<a href="', $scripturl, '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/home.gif" alt="' . $txt[103] . '" style="margin: 2px 0;" border="0" />' : $txt[103]), '</a>', $context['menu_separator'], '



				<a href="', $scripturl, '?action=help">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/help.gif" alt="' . $txt[119] . '" style="margin: 2px 0;" border="0" />' : $txt[119]), '</a>', $context['menu_separator'];







	// How about the [search] button?



	if ($context['allow_search'])



		echo '



				<a href="', $scripturl, '?action=search">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/search.gif" alt="' . $txt[182] . '" style="margin: 2px 0;" border="0" />' : $txt[182]), '</a>', $context['menu_separator'];







	// Is the user allowed to administrate at all? ([admin])



	if ($context['allow_admin'])



		echo '



				<a href="', $scripturl, '?action=admin">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/admin.gif" alt="' . $txt[2] . '" style="margin: 2px 0;" border="0" />' : $txt[2]), '</a>', $context['menu_separator'];







	// Edit Profile... [profile]



	if ($context['allow_edit_profile'])



		echo '



				<a href="', $scripturl, '?action=profile">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/profile.gif" alt="' . $txt[79] . '" style="margin: 2px 0;" border="0" />' : $txt[467]), '</a>', $context['menu_separator'];







	// The [calendar]!



	if ($context['allow_calendar'])



		echo '



				<a href="', $scripturl, '?action=calendar">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/calendar.gif" alt="' . $txt['calendar24'] . '" style="margin: 2px 0;" border="0" />' : $txt['calendar24']), '</a>', $context['menu_separator'];







	// If the user is a guest, show [login] and [register] buttons.



	if ($context['user']['is_guest'])



	{



		echo '



				<a href="', $scripturl, '?action=login">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/login.gif" alt="' . $txt[34] . '" style="margin: 2px 0;" border="0" />' : $txt[34]), '</a>', $context['menu_separator'], '



				<a href="', $scripturl, '?action=register">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/register.gif" alt="' . $txt[97] . '" style="margin: 2px 0;" border="0" />' : $txt[97]), '</a>';



	}



	// Otherwise, they might want to [logout]...



	else



		echo '



				<a href="', $scripturl, '?action=logout;sesc=', $context['session_id'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/logout.gif" alt="' . $txt[108] . '" style="margin: 2px 0;" border="0" />' : $txt[108]), '</a>';



}







// Generate a strip of buttons, out of buttons.



function template_button_strip($button_strip, $direction = 'top', $force_reset = false, $custom_td = '')



{



	global $settings, $buttons, $context, $txt, $scripturl;







	if (empty($button_strip))



		return '';







	// Create the buttons...



	foreach ($button_strip as $key => $value)



	{



		if (isset($value['test']) && empty($context[$value['test']]))



		{



			unset($button_strip[$key]);



			continue;



		}



		elseif (!isset($buttons[$key]) || $force_reset)



			$buttons[$key] = '<a href="' . $value['url'] . '" ' .( isset($value['custom']) ? $value['custom'] : '') . '>' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . ($value['lang'] ? $context['user']['language'] . '/' : '') . $value['image'] . '" alt="' . $txt[$value['text']] . '" border="0" />' : $txt[$value['text']]) . '</a>';







		$button_strip[$key] = $buttons[$key];



	}



  // Remove TD's. Putting td's in a function is pretty retarded.



	echo '



		', implode($context['menu_separator'], $button_strip) , '';



}







// Here is the logout confirmation template..very simple



function template_templogout()



{



	global $context, $settings, $options, $scripturl, $txt;



echo'



<center>',$txt['templogout'],'<p/>







<a href="', $scripturl, '?action=logout;sesc=', $context['session_id'], '">',$txt['templogout2'],'</a><p/>



<a href="', $scripturl, '"><span class="smalltext">',$txt['templogout3'],'</span></a>















</center>';



}







// Here are the quick links! You can add your own here, for mods, or external links, whatever you want.



function template_quicklinks()



{



	global $context, $settings, $options, $scripturl, $txt;







// Start off the table



echo'



<table width="150" cellspacing="1" cellpadding="5" class="tborder">



<tr>



<td class="titlebg" align="center" colspan="2"><b>',$txt['quicklinks'],'</b></td>



</tr>';







// The various post links, only if a user is logged in.



if($context['user']['is_logged'])



{



echo'



<tr>



<td class="windowbg2"><img src="',$settings['images_url'],'/arrow.gif" alt=""/></td><td class="windowbg" onmouseover="className=\'windowbg2\';" onmouseout="className=\'windowbg\';">



<a href="',$script_url,'?action=unread"><span class="smalltext">',$txt['quicklinks_newposts'],'</span></a></td>



</tr>



<tr>



<td class="windowbg2"><img src="',$settings['images_url'],'/arrow.gif" alt=""/></td><td class="windowbg" onmouseover="className=\'windowbg2\';" onmouseout="className=\'windowbg\';"><a href="',$script_url,'?action=unreadreplies"><span class="smalltext">',$txt['quicklinks_newreplies'],'</span></a></td>



</tr>



<tr>



<td class="windowbg2"><img src="',$settings['images_url'],'/arrow.gif" alt=""/></td><td class="windowbg" onmouseover="className=\'windowbg2\';" onmouseout="className=\'windowbg\';"><a href="',$script_url,'?action=unread;all"><span class="smalltext">',$txt['quicklinks_unreadposts'],'</span></a></td>



</tr>



<tr>



<td class="windowbg2"><img src="',$settings['images_url'],'/arrow.gif" alt=""/></td><td class="windowbg" onmouseover="className=\'windowbg2\';" onmouseout="className=\'windowbg\';"><a href="',$script_url,'?action=markasread;sa=all;sesc=',$context['session_id'],'"><span class="smalltext">',$txt['quicklinks_markforumsread'],'</span></a></td>



</tr>



';



}



// Replace those with other links if they are a guest (register, login)



else



{



echo'



<tr>



<td class="windowbg2"><img src="',$settings['images_url'],'/arrow.gif" alt=""/></td><td class="windowbg" onmouseover="className=\'windowbg2\';" onmouseout="className=\'windowbg\';"><a href="',$script_url,'?action=login"><span class="smalltext">' , $txt[34] , '</span></a></td>



</tr>



<tr>



<td class="windowbg2"><img src="',$settings['images_url'],'/arrow.gif" alt=""/></td><td class="windowbg" onmouseover="className=\'windowbg2\';" onmouseout="className=\'windowbg\';"><a href="',$script_url,'?action=login"><span class="smalltext">' , $txt[97] , '</span></a></td>



</tr>';



}







// Here is a link to private messages, just for convienince...but only if they can use PMs in the first place.



	if ($context['user']['is_logged'] && $context['allow_pm'])



{



echo'<tr>



<td class="windowbg2"><img src="',$settings['images_url'],'/arrow.gif" alt=""/></td><td class="windowbg" onmouseover="className=\'windowbg2\';" onmouseout="className=\'windowbg\';"><a href="',$script_url,'?action=pm"><span class="smalltext">' , $txt['pm_short'] , ' ', $context['user']['unread_messages'] > 0 ? '['. $context['user']['unread_messages'] . ']' : '' , '</span></a></td>



</tr>';



}



// Show a link to a list of our members if it's enabled.



	if ($context['allow_memberlist'])



{



echo'<tr>



<td class="windowbg2"><img src="',$settings['images_url'],'/arrow.gif" alt=""/></td><td class="windowbg" onmouseover="className=\'windowbg2\';" onmouseout="className=\'windowbg\';"><a href="',$script_url,'?action=mlist"><span class="smalltext">',$txt['quicklinks_members'],'</span></a></td>



</tr>';



}







// Now we'll do the calendar, in case anyone actually uses that feature :P



  if ($context['allow_calendar'])



{



echo'<tr>



<td class="windowbg2"><img src="',$settings['images_url'],'/arrow.gif" alt=""/></td><td class="windowbg" onmouseover="className=\'windowbg2\';" onmouseout="className=\'windowbg\';"><a href="',$script_url,'?action=calendar"><span class="smalltext">',$txt['quicklinks_calendar'],'</span></a></td>



</tr>';



}







// Time for the admin button, for the top dogs of the forum!



  if ($context['allow_admin'])



{



echo'



<tr>



<td class="windowbg2"><img src="',$settings['images_url'],'/arrow.gif" alt=""/></td><td class="windowbg" onmouseover="className=\'windowbg2\';" onmouseout="className=\'windowbg\';"><a href="',$script_url,'?action=admin"><span class="smalltext">',$txt['quicklinks_admin'],'</span></a></td>



</tr>';



}







/* This is here just to make it easier for anyone to add their own quicklinks. Just remove the slashes, and copy & paste the whole thing for how ever many you want added. I'll have demonstrations in the topic */







//echo'<tr>



//<td class="windowbg2"><img src="',$settings['images_url'],'/arrow.gif" alt=""/></td><td class="windowbg" onmouseover="className=\'windowbg2\';" onmouseout="className=\'windowbg\';"><a href="url of page here"><span class="smalltext">Name of link here.</span></a></td>



//</tr>';







// Finally, we will just close the whole thing.



echo'</table>';



}







?>